Save Invoice Status
curl --request POST \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/invoices/status/save \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"rtin": "24SHUBH3221U1Z1",
"reqtyp": "SAVE",
"invdata": {
"b2b": [
{
"stin": "24MAYAS0100J1JD",
"inum": "b1",
"inv_typ": "R",
"action": "A",
"srcform": "R1",
"rtnprd": "012023",
"idt": "23-01-2023",
"val": 1000,
"pos": "24",
"txval": 100,
"iamt": 20,
"camt": 20,
"samt": 20,
"cess": 0,
"prev_status": "A",
"remarks": "Business to business changes"
}
],
"b2ba": [
{
"oinum": "ab2",
"oidt": "24-02-2023",
"stin": "24MAYAS0100J1JD",
"rtnprd": "012023",
"inum": "b1a",
"action": "A",
"inv_typ": "R",
"srcform": "R1",
"idt": "24-02-2023",
"val": 1000,
"pos": "07",
"txval": 100,
"iamt": 20,
"camt": 20,
"samt": 20,
"cess": 0,
"prev_status": "A",
"itcRedReq": "Y",
"declIgst": 2000,
"declSgst": 500,
"declCgst": 500,
"declCess": 100,
"remarks": "Business to business ammendment changes"
}
],
"b2bdn": [
{
"stin": "24MAYAS0100J1JD",
"nt_num": "dn2",
"action": "A",
"inv_typ": "R",
"srcform": "R1",
"rtnprd": "012023",
"nt_dt": "24-02-2023",
"val": 1000.1,
"pos": "07",
"txval": 1000.1,
"iamt": 20,
"camt": 20,
"samt": 20,
"cess": 0,
"prev_status": "A",
"remarks": "Business to business debit changes"
}
],
"b2bdna": [
{
"stin": "24MAYAS0100J1JD",
"ont_num": "ca2",
"ont_dt": "24-02-2023",
"nt_num": "dn2",
"action": "A",
"inv_typ": "R",
"srcform": "R1",
"rtnprd": "012023",
"nt_dt": "24-02-2023",
"val": 1000.1,
"pos": "07",
"txval": 1000.1,
"iamt": 20,
"camt": 20,
"samt": 20,
"cess": 0,
"prev_status": "A",
"itcRedReq": "Y",
"declIgst": 2000,
"declSgst": 500,
"declCgst": 500,
"declCess": 100,
"remarks": "Business to business debit ammendment changes"
}
],
"b2bcn": [
{
"stin": "24MAYAS0100J1JD",
"nt_num": "dn2",
"action": "A",
"inv_typ": "R",
"srcform": "R1",
"rtnprd": "012023",
"nt_dt": "24-02-2023",
"val": 1000.1,
"pos": "07",
"txval": 1000.1,
"iamt": 20,
"camt": 20,
"samt": 20,
"cess": 0,
"prev_status": "A",
"itcRedReq": "Y",
"declIgst": 2000,
"declSgst": 500,
"declCgst": 500,
"declCess": 100,
"remarks": "Business to business credit changes"
}
],
"b2bcna": [
{
"stin": "24MAYAS0100J1JD",
"ont_num": "ca2",
"ont_dt": "24-02-2023",
"nt_num": "dn2",
"action": "A",
"inv_typ": "R",
"srcform": "R1",
"rtnprd": "012023",
"nt_dt": "24-02-2023",
"val": 1000.1,
"pos": "07",
"txval": 1000.1,
"iamt": 20,
"camt": 20,
"samt": 20,
"cess": 0,
"prev_status": "A",
"itcRedReq": "Y",
"declIgst": 2000,
"declSgst": 500,
"declCgst": 500,
"declCess": 100,
"remarks": "Business to business credit ammendment changes"
}
],
"ecom": [
{
"stin": "24MAYAS0100J1JD",
"rtnprd": "012023",
"inum": "sd3",
"action": "A",
"srcform": "R1",
"idt": "24-02-2023",
"val": 1000,
"pos": "07",
"txval": 1000,
"iamt": 20,
"camt": 20,
"samt": 20,
"cess": 0,
"prev_status": "A",
"remarks": "E-com operator changes"
}
],
"ecoma": [
{
"stin": "24MAYAS0100J1JD",
"oinum": "get5",
"oidt": "24-02-2023",
"rtnprd": "012023",
"inum": "sd3",
"action": "A",
"srcform": "R1",
"idt": "24-02-2023",
"val": 1000,
"pos": "07",
"txval": 1000,
"iamt": 20,
"camt": 20,
"samt": 20,
"cess": 0,
"prev_status": "A",
"itcRedReq": "Y",
"declIgst": 2000,
"declSgst": 500,
"declCgst": 500,
"declCess": 100,
"remarks": "E-com operator changes ammendment changes"
}
]
}
}
'{
"code": 200,
"data": {
"data": {
"reference_id": "0032e479bcb644c"
},
"status_cd": "1"
},
"timestamp": 1763446641000,
"transaction_id": "0f7f60a2-862c-4a1b-b6b4-baa76c6faae6"
}Save Invoice Status
Take actions and save new status for invoices in different sections on the IMS.
POST
/
gst
/
compliance
/
tax-payer
/
invoices
/
status
/
save
Save Invoice Status
curl --request POST \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/invoices/status/save \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"rtin": "24SHUBH3221U1Z1",
"reqtyp": "SAVE",
"invdata": {
"b2b": [
{
"stin": "24MAYAS0100J1JD",
"inum": "b1",
"inv_typ": "R",
"action": "A",
"srcform": "R1",
"rtnprd": "012023",
"idt": "23-01-2023",
"val": 1000,
"pos": "24",
"txval": 100,
"iamt": 20,
"camt": 20,
"samt": 20,
"cess": 0,
"prev_status": "A",
"remarks": "Business to business changes"
}
],
"b2ba": [
{
"oinum": "ab2",
"oidt": "24-02-2023",
"stin": "24MAYAS0100J1JD",
"rtnprd": "012023",
"inum": "b1a",
"action": "A",
"inv_typ": "R",
"srcform": "R1",
"idt": "24-02-2023",
"val": 1000,
"pos": "07",
"txval": 100,
"iamt": 20,
"camt": 20,
"samt": 20,
"cess": 0,
"prev_status": "A",
"itcRedReq": "Y",
"declIgst": 2000,
"declSgst": 500,
"declCgst": 500,
"declCess": 100,
"remarks": "Business to business ammendment changes"
}
],
"b2bdn": [
{
"stin": "24MAYAS0100J1JD",
"nt_num": "dn2",
"action": "A",
"inv_typ": "R",
"srcform": "R1",
"rtnprd": "012023",
"nt_dt": "24-02-2023",
"val": 1000.1,
"pos": "07",
"txval": 1000.1,
"iamt": 20,
"camt": 20,
"samt": 20,
"cess": 0,
"prev_status": "A",
"remarks": "Business to business debit changes"
}
],
"b2bdna": [
{
"stin": "24MAYAS0100J1JD",
"ont_num": "ca2",
"ont_dt": "24-02-2023",
"nt_num": "dn2",
"action": "A",
"inv_typ": "R",
"srcform": "R1",
"rtnprd": "012023",
"nt_dt": "24-02-2023",
"val": 1000.1,
"pos": "07",
"txval": 1000.1,
"iamt": 20,
"camt": 20,
"samt": 20,
"cess": 0,
"prev_status": "A",
"itcRedReq": "Y",
"declIgst": 2000,
"declSgst": 500,
"declCgst": 500,
"declCess": 100,
"remarks": "Business to business debit ammendment changes"
}
],
"b2bcn": [
{
"stin": "24MAYAS0100J1JD",
"nt_num": "dn2",
"action": "A",
"inv_typ": "R",
"srcform": "R1",
"rtnprd": "012023",
"nt_dt": "24-02-2023",
"val": 1000.1,
"pos": "07",
"txval": 1000.1,
"iamt": 20,
"camt": 20,
"samt": 20,
"cess": 0,
"prev_status": "A",
"itcRedReq": "Y",
"declIgst": 2000,
"declSgst": 500,
"declCgst": 500,
"declCess": 100,
"remarks": "Business to business credit changes"
}
],
"b2bcna": [
{
"stin": "24MAYAS0100J1JD",
"ont_num": "ca2",
"ont_dt": "24-02-2023",
"nt_num": "dn2",
"action": "A",
"inv_typ": "R",
"srcform": "R1",
"rtnprd": "012023",
"nt_dt": "24-02-2023",
"val": 1000.1,
"pos": "07",
"txval": 1000.1,
"iamt": 20,
"camt": 20,
"samt": 20,
"cess": 0,
"prev_status": "A",
"itcRedReq": "Y",
"declIgst": 2000,
"declSgst": 500,
"declCgst": 500,
"declCess": 100,
"remarks": "Business to business credit ammendment changes"
}
],
"ecom": [
{
"stin": "24MAYAS0100J1JD",
"rtnprd": "012023",
"inum": "sd3",
"action": "A",
"srcform": "R1",
"idt": "24-02-2023",
"val": 1000,
"pos": "07",
"txval": 1000,
"iamt": 20,
"camt": 20,
"samt": 20,
"cess": 0,
"prev_status": "A",
"remarks": "E-com operator changes"
}
],
"ecoma": [
{
"stin": "24MAYAS0100J1JD",
"oinum": "get5",
"oidt": "24-02-2023",
"rtnprd": "012023",
"inum": "sd3",
"action": "A",
"srcform": "R1",
"idt": "24-02-2023",
"val": 1000,
"pos": "07",
"txval": 1000,
"iamt": 20,
"camt": 20,
"samt": 20,
"cess": 0,
"prev_status": "A",
"itcRedReq": "Y",
"declIgst": 2000,
"declSgst": 500,
"declCgst": 500,
"declCess": 100,
"remarks": "E-com operator changes ammendment changes"
}
]
}
}
'{
"code": 200,
"data": {
"data": {
"reference_id": "0032e479bcb644c"
},
"status_cd": "1"
},
"timestamp": 1763446641000,
"transaction_id": "0f7f60a2-862c-4a1b-b6b4-baa76c6faae6"
}Documentation Index
Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
Use this file to discover all available pages before exploring further.
Request body schema
View request body schema
Headers
GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.
API version
API key for identification
Body
application/json
The body is of type object.
Was this page helpful?
āI